# class Byebug::FrameCommand

Move to specific frames in the backtrace.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/frame.rb, line 197
    def description
      prettify <<-EOD
        f[rame][ frame-number]

        Move the current frame to the specified frame number, or the 0 if no
        frame-number has been given.

        A negative number indicates position from the other end, so
        "frame -1" moves to the oldest frame, and "frame 0" moves to the
        newest frame.

        Without an argument, the command prints the current stack frame. Since
        the current position is redisplayed, it may trigger a resyncronization
        if there is a front end also watching over things.
      EOD
    end

names() click to toggle source

    # File lib/byebug/commands/frame.rb, line 193
    def names
      %w(frame)
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/frame.rb, line 180
    def execute
      unless @match[1]
        print(pr('frame.line', get_pr_arguments(@state.frame)))
        return
      end

      pos, err = get_int(@match[1], 'Frame')
      return errmsg(err) unless pos

      adjust_frame(pos, true)
    end

regexp() click to toggle source

    # File lib/byebug/commands/frame.rb, line 176
    def regexp
      /^\s* f(?:rame)? (?:\s+(\S+))? \s*$/x
    end